NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.ScRuleFactory Class Reference

This class contains the factory methods for creating selection intent rules More...

Inheritance diagram for NXOpen.ScRuleFactory:

Public Member Functions

unsafe NXOpen.EdgeDumbRule CreateRuleEdgeDumb (NXOpen.Edge[] edges)
 Creates selection intent rule: NXOpen.EdgeDumbRule More...
 
unsafe NXOpen.EdgeChainRule CreateRuleEdgeChain (NXOpen.Edge startEdge, NXOpen.Edge endEdge, bool isFromStart)
 Creates selection intent rule: NXOpen.EdgeChainRule More...
 
unsafe
NXOpen.EdgeMultipleSeedTangentRule 
CreateRuleEdgeMultipleSeedTangent (NXOpen.Edge[] seedEdges, double angleTolerance, bool hasSameConvexity)
 Creates selection intent rule: NXOpen.EdgeMultipleSeedTangentRule More...
 
unsafe NXOpen.EdgeTangentRule CreateRuleEdgeTangent (NXOpen.Edge startEdge, NXOpen.Edge endEdge, bool isFromStart, double angleTolerance, bool hasSameConvexity)
 Creates selection intent rule: NXOpen.EdgeTangentRule More...
 
unsafe NXOpen.EdgeFaceRule CreateRuleEdgeFace (NXOpen.Face[] faces)
 Creates selection intent rule: NXOpen.EdgeFaceRule More...
 
unsafe NXOpen.EdgeBodyRule CreateRuleEdgeBody (NXOpen.Body body)
 Creates selection intent rule: NXOpen.EdgeBodyRule More...
 
unsafe NXOpen.EdgeFeatureRule CreateRuleEdgeFeature (NXOpen.Features.Feature[] features)
 Creates selection intent rule: NXOpen.EdgeFeatureRule More...
 
unsafe NXOpen.EdgeFeatureRule CreateRuleEdgeFeature (NXOpen.Features.Feature[] features, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: NXOpen.EdgeFeatureRule for the given feature from a part occurrence. More...
 
unsafe NXOpen.EdgeSheetBoundaryRule CreateRuleEdgeSheetBoundary (NXOpen.Body sheet)
 Creates selection intent rule: NXOpen.EdgeFeatureRule More...
 
unsafe NXOpen.EdgeBoundaryRule CreateRuleEdgeBoundary (NXOpen.Face[] facesOfFeatures)
 Creates selection intent rule: NXOpen.EdgeBoundaryRule More...
 
unsafe NXOpen.EdgeIntersectRule CreateRuleEdgeIntersect (NXOpen.Face[] facesOfFeatures1, NXOpen.Face[] facesOfFeatures2)
 Creates selection intent rule: NXOpen.EdgeIntersectRule More...
 
unsafe NXOpen.EdgeVertexRule CreateRuleEdgeVertex (NXOpen.Edge startEdge, bool isFromStart)
 Creates selection intent rule: NXOpen.EdgeVertexRule More...
 
unsafe NXOpen.EdgeVertexTangentRule CreateRuleEdgeVertexTangent (NXOpen.Edge startEdge, bool isFromStart, double angleTolerance, bool hasSameConvexity)
 Creates selection intent rule: NXOpen.EdgeVertexTangentRule More...
 
unsafe NXOpen.CurveDumbRule CreateRuleCurveDumb (NXOpen.Curve[] curves)
 Creates selection intent rule: NXOpen.CurveDumbRule More...
 
unsafe NXOpen.CurveDumbRule CreateRuleBaseCurveDumb (NXOpen.IBaseCurve[] curves)
 Creates selection intent rule: NXOpen.CurveDumbRule More...
 
unsafe NXOpen.CurveDumbRule CreateRuleCurveDumbFromPoints (NXOpen.Point[] points)
 Creates selection intent rule: NXOpen.CurveDumbRule More...
 
unsafe NXOpen.CurveFeatureRule CreateRuleCurveFeature (NXOpen.Features.Feature[] features)
 Creates selection intent rule: NXOpen.CurveFeatureRule More...
 
unsafe NXOpen.CurveFeatureRule CreateRuleCurveFeature (NXOpen.Features.Feature[] features, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: NXOpen.CurveFeatureRule for the given feature from a part occurrence. More...
 
unsafe NXOpen.CurveFeatureChainRule CreateRuleCurveFeatureChain (NXOpen.Features.Feature[] features, NXOpen.Curve seedCurve, NXOpen.Curve endCurve, bool isFromSeedStart, double gapTolerance)
 Creates selection intent rule: NXOpen.CurveFeatureChainRule More...
 
unsafe
NXOpen.CurveFeatureTangentRule 
CreateRuleCurveFeatureTangent (NXOpen.Features.Feature[] features, NXOpen.Curve seedCurve, NXOpen.Curve endCurve, bool isFromSeedStart, double angleTolerance, double gapTolerance)
 Creates selection intent rule: NXOpen.CurveFeatureTangentRule More...
 
unsafe NXOpen.FollowFilletRule CreateRuleFollowFillet (NXOpen.Features.Feature[] features, NXOpen.Body[] bodies, NXOpen.ICurve[] basicCurves, NXOpen.ICurve seedWireframe, NXOpen.ICurve endWireframe, bool isFromSeedStart, NXOpen.Point3d seedPoint, double gapTolerance, double angleTolerance, NXOpen.FollowFilletRuleType method)
 Creates selection intent rule: NXOpen.FollowFilletRule More...
 
unsafe NXOpen.FeaturePointsRule CreateRuleFeaturePoints (NXOpen.Features.Feature[] features, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: NXOpen.FeaturePointsRule for the given feature from a part occurrence. More...
 
unsafe NXOpen.FeaturePointsRule CreateRuleFeaturePoints (NXOpen.Features.Feature[] features)
 Creates selection intent rule: NXOpen.FeaturePointsRule More...
 
unsafe NXOpen.RegionBoundaryRule CreateRuleRegionBoundary (NXOpen.DisplayableObject seedObj, NXOpen.ICurve[] curves, NXOpen.Point3d seedPoint, double distanceTolerance)
 Creates selection intent rule: NXOpen.RegionBoundaryRule More...
 
unsafe NXOpen.FaceDumbRule CreateRuleFaceDumb (NXOpen.Face[] faces)
 Creates selection intent rule: NXOpen.FaceDumbRule More...
 
unsafe NXOpen.FaceDumbRule CreateRuleFaceDatum (NXOpen.DatumPlane[] faces)
 Creates selection intent rule: NXOpen.FaceDumbRule More...
 
unsafe NXOpen.FaceTangentRule CreateRuleFaceTangent (NXOpen.Face seedFace, NXOpen.Face[] boundaryFaces)
 Creates selection intent rule: NXOpen.FaceTangentRule More...
 
unsafe NXOpen.FaceTangentRule CreateRuleFaceTangent (NXOpen.Face seedFace, NXOpen.Face[] boundaryFaces, double angleTolerance)
 Creates selection intent rule: NXOpen.FaceTangentRule with tangent tolerance More...
 
unsafe NXOpen.FaceBodyRule CreateRuleFaceBody (NXOpen.Body body)
 Creates selection intent rule: NXOpen.FaceBodyRule More...
 
unsafe NXOpen.FaceRegionRule CreateRuleFaceRegion (NXOpen.Face seedFace, NXOpen.Face[] boundaryFaces)
 Creates selection intent rule: NXOpen.FaceRegionRule More...
 
unsafe NXOpen.FaceFeatureRule CreateRuleFaceFeature (NXOpen.Features.Feature[] features)
 Creates selection intent rule: NXOpen.FaceFeatureRule More...
 
unsafe NXOpen.FaceFeatureRule CreateRuleFaceFeature (NXOpen.Features.Feature[] features, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: NXOpen.FaceFeatureRule for the given feature from a part occurrence. More...
 
unsafe NXOpen.FaceAdjacentRule CreateRuleFaceAdjacent (NXOpen.Face seedFace)
 Creates selection intent rule: NXOpen.FaceAdjacentRule More...
 
unsafe
NXOpen.FaceConnectedBlendRule 
CreateRuleFaceConnectedBlend (NXOpen.Face seedFace)
 Creates selection intent rule: NXOpen.FaceConnectedBlendRule More...
 
unsafe
NXOpen.FaceConnectedBlendRule 
CreateRuleFaceConnectedBlend (NXOpen.Face seedFace, bool includeBlendLike, NXOpen.Features.Feature feature)
 Creates selection intent rule: NXOpen.FaceConnectedBlendRule More...
 
unsafe
NXOpen.FaceConnectedBlendRule 
CreateRuleFaceConnectedBlend (NXOpen.Face seedFace, bool includeBlendLike, bool includeUnlabeledBlend, NXOpen.Features.Feature feature)
 Creates selection intent rule: NXOpen.FaceConnectedBlendRule More...
 
unsafe NXOpen.FaceAllBlendRule CreateRuleFaceAllBlend (NXOpen.Body body)
 Creates selection intent rule: NXOpen.FaceAllBlendRule More...
 
unsafe NXOpen.FaceAllBlendRule CreateRuleFaceAllBlend (NXOpen.Body body, NXOpen.Features.Feature feature)
 Creates selection intent rule: NXOpen.FaceAllBlendRule More...
 
unsafe NXOpen.FaceRibFacesRule CreateRuleFaceRib (NXOpen.Face seed)
 Creates selection intent rule: NXOpen.FaceRibFacesRule More...
 
unsafe NXOpen.FaceRibFacesRule CreateRuleFaceRib (NXOpen.Face seed, bool includeBoundaryBlends, bool traverseInteriorLoops)
 Creates selection intent rule: NXOpen.FaceRibFacesRule More...
 
unsafe
NXOpen.FaceMergedRibFacesRule 
CreateRuleFaceMergedRib (NXOpen.Face seed, NXOpen.Edge edge)
 Creates selection intent rule: NXOpen.FaceMergedRibFacesRule More...
 
unsafe
NXOpen.FaceMergedRibFacesRule 
CreateRuleFaceMergedRib (NXOpen.Face seed, NXOpen.Edge edge, bool includeBoundaryBlends)
 Creates selection intent rule: NXOpen.FaceMergedRibFacesRule More...
 
unsafe
NXOpen.FaceMergedRibFacesRule 
CreateRuleFaceMergedRib (NXOpen.Face seed, bool includeBoundaryBlends, NXOpen.Point3d seedPoint)
 Creates selection intent rule: NXOpen.FaceMergedRibFacesRule More...
 
unsafe NXOpen.FaceSlotFacesRule CreateRuleFaceSlot (NXOpen.Face seed)
 Creates selection intent rule: NXOpen.FaceSlotFacesRule More...
 
unsafe NXOpen.FaceSlotFacesRule CreateRuleFaceSlot (NXOpen.Face seed, bool includeBoundaryBlends, bool traverseInteriorLoops)
 Creates selection intent rule: NXOpen.FaceSlotFacesRule More...
 
unsafe
NXOpen.FaceBossPocketFacesRule 
CreateRuleFaceBossPocket (NXOpen.Face seed)
 Creates selection intent rule: NXOpen.FaceBossPocketFacesRule More...
 
unsafe
NXOpen.FaceBossPocketFacesRule 
CreateRuleFaceBossPocket (NXOpen.Face seed, bool includeBoundaryBlends)
 Creates selection intent rule: NXOpen.FaceBossPocketFacesRule More...
 
unsafe NXOpen.FaceTangentRule CreateRuleFaceTangentWithSmartBoundaries (NXOpen.Face seedFace, NXOpen.SelectionIntentRule[] boundaryFaceRules)
 Creates selection intent rule: NXOpen.FaceTangentRule where the boundaries also update with original intent More...
 
unsafe NXOpen.FaceRegionRule CreateRuleFaceRegionWithSmartBoundaries (NXOpen.Face seedFace, NXOpen.SelectionIntentRule[] boundaryFaceRules)
 Creates selection intent rule: NXOpen.FaceRegionRule where the boundaries also update with original intent More...
 
unsafe
NXOpen.FaceRegionBoundaryRule 
CreateRuleFaceRegionBoundary (NXOpen.Face seedObj, NXOpen.ICurve[] curves, NXOpen.Point3d seedPoint, double distanceTolerance)
 Creates selection intent rule: NXOpen.FaceRegionBoundaryRule More...
 
unsafe
NXOpen.FaceAndAdjacentFacesRule 
CreateRuleFaceAndAdjacentFaces (NXOpen.Face seedFace)
 Creates selection intent rule: NXOpen.FaceAndAdjacentFacesRule More...
 
unsafe NXOpen.CurveGroupRule CreateRuleCurveGroup (NXOpen.Group[] groups)
 Creates selection intent rule: NXOpen.CurveGroupRule More...
 
unsafe NXOpen.BodyDumbRule CreateRuleBodyDumb (NXOpen.Body[] bodies)
 Creates selection intent rule: NXOpen.BodyDumbRule More...
 
unsafe NXOpen.BodyDumbRule CreateRuleBodyDumb (NXOpen.Body[] bodies, bool includeSheetBodies)
 Creates selection intent rule: NXOpen.BodyDumbRule with the option to include or exclude sheet bodies More...
 
unsafe NXOpen.BodyFeatureRule CreateRuleBodyFeature (NXOpen.Features.Feature[] features)
 Creates selection intent rule: BodyFeatureRule More...
 
unsafe NXOpen.BodyFeatureRule CreateRuleBodyFeature (NXOpen.Features.Feature[] features, bool includeSheetBodies)
 Creates selection intent rule: BodyFeatureRule with the option to include or exclude sheet bodies More...
 
unsafe NXOpen.BodyFeatureRule CreateRuleBodyFeature (NXOpen.Features.Feature[] features, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: BodyFeatureRule for the given feature from a part occurrence. More...
 
unsafe NXOpen.BodyFeatureRule CreateRuleBodyFeature (NXOpen.Features.Feature[] features, bool includeSheetBodies, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: BodyFeatureRule for the given feature from a part occurrence, with the option to include or exclude sheet bodies More...
 
unsafe NXOpen.BodyGroupRule CreateRuleBodyGroup (NXOpen.Group[] groups)
 Creates selection intent rule: BodyGroupRule More...
 
unsafe NXOpen.BodyGroupRule CreateRuleBodyGroup (NXOpen.Group[] groups, bool includeSheetBodies)
 Creates selection intent rule: NXOpen.BodyFeatureRule with the option to include or exclude sheet bodies More...
 
unsafe NXOpen.FollowFilletRule CreateRuleFollowFillet (NXOpen.Features.Feature[] features, NXOpen.Body[] bodies, NXOpen.ICurve[] basicCurves, NXOpen.ICurve seedWireframe, NXOpen.Point3d seedPoint, double gapTolerance, double angleTolerance, NXOpen.FollowFilletRuleType method)
 Creates selection intent rule: NXOpen.FollowFilletRule with stop at intersection option ON More...
 
unsafe NXOpen.EdgeChainRule CreateRuleEdgeChain (NXOpen.Edge startEdge, NXOpen.Edge endEdge, bool isFromStart, NXOpen.Face commonFace, bool allowLaminarEdge)
 Creates selection intent rule: NXOpen.EdgeChainRule More...
 
unsafe NXOpen.EdgeTangentRule CreateRuleEdgeTangent (NXOpen.Edge startEdge, NXOpen.Edge endEdge, bool isFromStart, double angleTolerance, bool hasSameConvexity, bool allowLaminarEdge)
 Creates selection intent rule: NXOpen.EdgeTangentRule More...
 
unsafe NXOpen.ApparentChainingRule CreateRuleApparentChaining (NXOpen.ICurve seedCurve, NXOpen.View view, NXOpen.ApparentChainingRuleType chainingMethod, NXOpen.ApparentChainingRuleSelection selectionMask, double chainingTolerance, double angleTolerance)
 Creates selection intent rule: NXOpen.ApparentChainingRule More...
 
unsafe NXOpen.OuterEdgesOfFacesRule CreateRuleOuterEdgesOfFaces (NXOpen.NXObject[] facesOfFeatures)
 Creates selection intent rule: NXOpen.OuterEdgesOfFacesRule More...
 
unsafe NXOpen.RibTopFaceEdgesRule CreateRuleRibTopFaceEdges (NXOpen.NXObject[] facesOfFeatures)
 Creates selection intent rule: NXOpen.RibTopFaceEdgesRule More...
 
unsafe NXOpen.CurveChainRule CreateRuleCurveChain (NXOpen.ICurve seedCurve, NXOpen.ICurve endCurve, bool isFromSeedStart, double gapTolerance)
 Creates selection intent rule: NXOpen.CurveChainRule More...
 
unsafe NXOpen.CurveTangentRule CreateRuleCurveTangent (NXOpen.ICurve seedCurve, NXOpen.ICurve endCurve, bool isFromSeedStart, double angleTolerance, double gapTolerance)
 Creates selection intent rule: NXOpen.CurveTangentRule More...
 
unsafe
NXOpen.FeatureIntersectionEdgesRule 
CreateRuleFeatureIntersectionEdges (NXOpen.NXObject[] features)
 Creates selection intent rule: NXOpen.FeatureIntersectionEdgesRule More...
 
unsafe
NXOpen.FeatureIntersectionEdgesRule 
CreateRuleFeatureIntersectionEdges (NXOpen.NXObject[] features, NXOpen.DisplayableObject partOccurrence)
 Creates selection intent rule: NXOpen.FeatureIntersectionEdgesRule More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class contains the factory methods for creating selection intent rules

To obtain an instance of this class, refer to NXOpen.Part

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.ApparentChainingRule NXOpen.ScRuleFactory.CreateRuleApparentChaining ( NXOpen.ICurve  seedCurve,
NXOpen.View  view,
NXOpen.ApparentChainingRuleType  chainingMethod,
NXOpen.ApparentChainingRuleSelection  selectionMask,
double  chainingTolerance,
double  angleTolerance 
)

Creates selection intent rule: NXOpen.ApparentChainingRule

Created in NX8.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedCurveThe seed curve.
viewThe view.
chainingMethodSelection Intent method.
selectionMaskThe selection type none, edge or curve.
chainingToleranceThe chaining tolerance.
angleToleranceThe angle tolerance.
Returns
unsafe NXOpen.CurveDumbRule NXOpen.ScRuleFactory.CreateRuleBaseCurveDumb ( NXOpen.IBaseCurve[]  curves)

Creates selection intent rule: NXOpen.CurveDumbRule

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
curvesCurves which creates this rule.
Returns
unsafe NXOpen.BodyDumbRule NXOpen.ScRuleFactory.CreateRuleBodyDumb ( NXOpen.Body[]  bodies)

Creates selection intent rule: NXOpen.BodyDumbRule

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
bodiesBodies used to create this rule.
Returns
unsafe NXOpen.BodyDumbRule NXOpen.ScRuleFactory.CreateRuleBodyDumb ( NXOpen.Body[]  bodies,
bool  includeSheetBodies 
)

Creates selection intent rule: NXOpen.BodyDumbRule with the option to include or exclude sheet bodies

Created in NX9.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
bodiesBodies used to create this rule.
includeSheetBodies
Returns
unsafe NXOpen.BodyFeatureRule NXOpen.ScRuleFactory.CreateRuleBodyFeature ( NXOpen.Features.Feature[]  features)

Creates selection intent rule: BodyFeatureRule

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose bodies are used to create this rule.
Returns
unsafe NXOpen.BodyFeatureRule NXOpen.ScRuleFactory.CreateRuleBodyFeature ( NXOpen.Features.Feature[]  features,
bool  includeSheetBodies 
)

Creates selection intent rule: BodyFeatureRule with the option to include or exclude sheet bodies

Created in NX9.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose bodies are used to create this rule.
includeSheetBodies
Returns
unsafe NXOpen.BodyFeatureRule NXOpen.ScRuleFactory.CreateRuleBodyFeature ( NXOpen.Features.Feature[]  features,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: BodyFeatureRule for the given feature from a part occurrence.

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose bodies are used to create this rule.
partOccurrencePart occurrence of seed body that is used to create this rule.
Returns
unsafe NXOpen.BodyFeatureRule NXOpen.ScRuleFactory.CreateRuleBodyFeature ( NXOpen.Features.Feature[]  features,
bool  includeSheetBodies,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: BodyFeatureRule for the given feature from a part occurrence, with the option to include or exclude sheet bodies

Created in NX9.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose bodies are used to create this rule.
includeSheetBodies
partOccurrencePart occurrence of seed body that is used to create this rule.
Returns
unsafe NXOpen.BodyGroupRule NXOpen.ScRuleFactory.CreateRuleBodyGroup ( NXOpen.Group[]  groups)

Creates selection intent rule: BodyGroupRule

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
groupsGroups whose bodies are used to create this rule.
Returns
unsafe NXOpen.BodyGroupRule NXOpen.ScRuleFactory.CreateRuleBodyGroup ( NXOpen.Group[]  groups,
bool  includeSheetBodies 
)

Creates selection intent rule: NXOpen.BodyFeatureRule with the option to include or exclude sheet bodies

Created in NX9.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
groupsGroups whose bodies are used to create this rule.
includeSheetBodies
Returns
unsafe NXOpen.CurveChainRule NXOpen.ScRuleFactory.CreateRuleCurveChain ( NXOpen.ICurve  seedCurve,
NXOpen.ICurve  endCurve,
bool  isFromSeedStart,
double  gapTolerance 
)

Creates selection intent rule: NXOpen.CurveChainRule

Created in NX9.0.0

License requirements: None.

Parameters
seedCurveSeed curve
endCurveEnd curve of curve chain. It can be null (Nothing)
isFromSeedStartTrue: the chain starts from the start point of the seed curve
gapToleranceGap tolerance.
Returns
unsafe NXOpen.CurveDumbRule NXOpen.ScRuleFactory.CreateRuleCurveDumb ( NXOpen.Curve[]  curves)

Creates selection intent rule: NXOpen.CurveDumbRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
curvesCurves which creates this rule.
Returns
unsafe NXOpen.CurveDumbRule NXOpen.ScRuleFactory.CreateRuleCurveDumbFromPoints ( NXOpen.Point[]  points)

Creates selection intent rule: NXOpen.CurveDumbRule

Created in NX5.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
pointsPoints which creates this rule.
Returns
unsafe NXOpen.CurveFeatureRule NXOpen.ScRuleFactory.CreateRuleCurveFeature ( NXOpen.Features.Feature[]  features)

Creates selection intent rule: NXOpen.CurveFeatureRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose curves are used to create this rule.
Returns
unsafe NXOpen.CurveFeatureRule NXOpen.ScRuleFactory.CreateRuleCurveFeature ( NXOpen.Features.Feature[]  features,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: NXOpen.CurveFeatureRule for the given feature from a part occurrence.

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose curves are used to create this rule.
partOccurrencePart occurrence of the seed curve that is used to create this rule.
Returns
unsafe NXOpen.CurveFeatureChainRule NXOpen.ScRuleFactory.CreateRuleCurveFeatureChain ( NXOpen.Features.Feature[]  features,
NXOpen.Curve  seedCurve,
NXOpen.Curve  endCurve,
bool  isFromSeedStart,
double  gapTolerance 
)

Creates selection intent rule: NXOpen.CurveFeatureChainRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose curves are used to create this rule.
seedCurveSeed curve
endCurveEnd curve of curve chain. It can be null (Nothing)
isFromSeedStartTrue: the chain starts from the start point of the seed curve
gapToleranceGap tolerance.
Returns
unsafe NXOpen.CurveFeatureTangentRule NXOpen.ScRuleFactory.CreateRuleCurveFeatureTangent ( NXOpen.Features.Feature[]  features,
NXOpen.Curve  seedCurve,
NXOpen.Curve  endCurve,
bool  isFromSeedStart,
double  angleTolerance,
double  gapTolerance 
)

Creates selection intent rule: NXOpen.CurveFeatureTangentRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose tangent curves are used to create this rule.
seedCurveSeed Curve
endCurveEnd curve of curve chain. It can be null (Nothing)
isFromSeedStartTrue: the chain starts from the start point of the seed curve
angleToleranceAngle tolerance for tangent curves
gapToleranceGap tolerance for tangent curves
Returns
unsafe NXOpen.CurveGroupRule NXOpen.ScRuleFactory.CreateRuleCurveGroup ( NXOpen.Group[]  groups)

Creates selection intent rule: NXOpen.CurveGroupRule

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
groupsGroups whose curves are used to create this rule.
Returns
unsafe NXOpen.CurveTangentRule NXOpen.ScRuleFactory.CreateRuleCurveTangent ( NXOpen.ICurve  seedCurve,
NXOpen.ICurve  endCurve,
bool  isFromSeedStart,
double  angleTolerance,
double  gapTolerance 
)

Creates selection intent rule: NXOpen.CurveTangentRule

Created in NX9.0.0

License requirements: None.

Parameters
seedCurveSeed Curve
endCurveEnd curve of curve chain. It can be null (Nothing)
isFromSeedStartTrue: the chain starts from the start point of the seed curve
angleToleranceAngle tolerance for tangent curves
gapToleranceGap tolerance for tangent curves
Returns
unsafe NXOpen.EdgeBodyRule NXOpen.ScRuleFactory.CreateRuleEdgeBody ( NXOpen.Body  body)

Creates selection intent rule: NXOpen.EdgeBodyRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
bodyBody whose edges are used to create this rule.
Returns
unsafe NXOpen.EdgeBoundaryRule NXOpen.ScRuleFactory.CreateRuleEdgeBoundary ( NXOpen.Face[]  facesOfFeatures)

Creates selection intent rule: NXOpen.EdgeBoundaryRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesOfFeaturesFaces whose boundary edges are used to create this rule.
Returns
unsafe NXOpen.EdgeChainRule NXOpen.ScRuleFactory.CreateRuleEdgeChain ( NXOpen.Edge  startEdge,
NXOpen.Edge  endEdge,
bool  isFromStart 
)

Creates selection intent rule: NXOpen.EdgeChainRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
startEdgeStart edge of edge chain.
endEdgeEnd edge of edge chain.
isFromStartTrue: the chain starts from the start point of the start edge if end edge is provided
Returns
unsafe NXOpen.EdgeChainRule NXOpen.ScRuleFactory.CreateRuleEdgeChain ( NXOpen.Edge  startEdge,
NXOpen.Edge  endEdge,
bool  isFromStart,
NXOpen.Face  commonFace,
bool  allowLaminarEdge 
)

Creates selection intent rule: NXOpen.EdgeChainRule

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
startEdgeStart edge of edge chain.
endEdgeEnd edge of edge chain.
isFromStartTrue: the chain starts from the start point of the start edge if end edge is provided
commonFaceFace on which chain edges are to be found. Chain Between case
allowLaminarEdgeAllow only laminar edges?
Returns
unsafe NXOpen.EdgeDumbRule NXOpen.ScRuleFactory.CreateRuleEdgeDumb ( NXOpen.Edge[]  edges)

Creates selection intent rule: NXOpen.EdgeDumbRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edgesEdges which creates this rule.
Returns
unsafe NXOpen.EdgeFaceRule NXOpen.ScRuleFactory.CreateRuleEdgeFace ( NXOpen.Face[]  faces)

Creates selection intent rule: NXOpen.EdgeFaceRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesFaces whose edges are used to create this rule.
Returns
unsafe NXOpen.EdgeFeatureRule NXOpen.ScRuleFactory.CreateRuleEdgeFeature ( NXOpen.Features.Feature[]  features)

Creates selection intent rule: NXOpen.EdgeFeatureRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose edges are used to create edge feature rule.
Returns
unsafe NXOpen.EdgeFeatureRule NXOpen.ScRuleFactory.CreateRuleEdgeFeature ( NXOpen.Features.Feature[]  features,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: NXOpen.EdgeFeatureRule for the given feature from a part occurrence.

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose edges are used to create edge feature rule.
partOccurrencePart occurrence of the seed edge that is used to create this rule.
Returns
unsafe NXOpen.EdgeIntersectRule NXOpen.ScRuleFactory.CreateRuleEdgeIntersect ( NXOpen.Face[]  facesOfFeatures1,
NXOpen.Face[]  facesOfFeatures2 
)

Creates selection intent rule: NXOpen.EdgeIntersectRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesOfFeatures1Faces of feature1 whose boundary edges are used to create this rule.
facesOfFeatures2Faces of feature2 whose boundary edges are used to create this rule.
Returns
unsafe NXOpen.EdgeMultipleSeedTangentRule NXOpen.ScRuleFactory.CreateRuleEdgeMultipleSeedTangent ( NXOpen.Edge[]  seedEdges,
double  angleTolerance,
bool  hasSameConvexity 
)

Creates selection intent rule: NXOpen.EdgeMultipleSeedTangentRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedEdgesSeed edges.
angleToleranceAngle tolerance for tangent edges.
hasSameConvexityTrue: will only find tangent edges that has the same convexity
Returns
unsafe NXOpen.EdgeSheetBoundaryRule NXOpen.ScRuleFactory.CreateRuleEdgeSheetBoundary ( NXOpen.Body  sheet)

Creates selection intent rule: NXOpen.EdgeFeatureRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
sheetSheet body whose boundary edges are used to create this rule.
Returns
unsafe NXOpen.EdgeTangentRule NXOpen.ScRuleFactory.CreateRuleEdgeTangent ( NXOpen.Edge  startEdge,
NXOpen.Edge  endEdge,
bool  isFromStart,
double  angleTolerance,
bool  hasSameConvexity 
)

Creates selection intent rule: NXOpen.EdgeTangentRule

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
startEdgeStart edge of edge chain.
endEdgeEnd edge of edge chain. It can be null (Nothing)
isFromStartTrue: the tangent starts from the start point of the start edge if end edge is provided
angleToleranceAngle tolerance for tangent edges
hasSameConvexityTrue: will only find tangent edges that has the same convexity.
Returns
unsafe NXOpen.EdgeTangentRule NXOpen.ScRuleFactory.CreateRuleEdgeTangent ( NXOpen.Edge  startEdge,
NXOpen.Edge  endEdge,
bool  isFromStart,
double  angleTolerance,
bool  hasSameConvexity,
bool  allowLaminarEdge 
)

Creates selection intent rule: NXOpen.EdgeTangentRule

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
startEdgeStart edge of edge chain.
endEdgeEnd edge of edge chain. It can be null.
isFromStartTrue: the tangent chain starts from the start point of the start edge if end edge is provided
angleToleranceAngle tolerance for tangent edges
hasSameConvexityTrue: will only find tangnet edges that has the same convexity.
allowLaminarEdgeAllow only laminar edges?
Returns
unsafe NXOpen.EdgeVertexRule NXOpen.ScRuleFactory.CreateRuleEdgeVertex ( NXOpen.Edge  startEdge,
bool  isFromStart 
)

Creates selection intent rule: NXOpen.EdgeVertexRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
startEdgeStart edge of edge chain.
isFromStartTrue: the chain starts from the start point of the start edge if end edge is provided
Returns
unsafe NXOpen.EdgeVertexTangentRule NXOpen.ScRuleFactory.CreateRuleEdgeVertexTangent ( NXOpen.Edge  startEdge,
bool  isFromStart,
double  angleTolerance,
bool  hasSameConvexity 
)

Creates selection intent rule: NXOpen.EdgeVertexTangentRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
startEdgeStart edge of edge chain.
isFromStartTrue: the tangent starts from the start point of the start edge if end edge is provided
angleToleranceAngle tolerance for tangent edges
hasSameConvexityTrue: will only find tangent edges that has the same convexity.
Returns
unsafe NXOpen.FaceAdjacentRule NXOpen.ScRuleFactory.CreateRuleFaceAdjacent ( NXOpen.Face  seedFace)

Creates selection intent rule: NXOpen.FaceAdjacentRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFaces to create this rule.
Returns
unsafe NXOpen.FaceAllBlendRule NXOpen.ScRuleFactory.CreateRuleFaceAllBlend ( NXOpen.Body  body)

Creates selection intent rule: NXOpen.FaceAllBlendRule

Created in NX5.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
bodyBody faces are used to create this rule.
Returns
unsafe NXOpen.FaceAllBlendRule NXOpen.ScRuleFactory.CreateRuleFaceAllBlend ( NXOpen.Body  body,
NXOpen.Features.Feature  feature 
)

Creates selection intent rule: NXOpen.FaceAllBlendRule

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
bodyBody faces are used to create this rule.
featureFeature to create this rule
Returns
unsafe NXOpen.FaceAndAdjacentFacesRule NXOpen.ScRuleFactory.CreateRuleFaceAndAdjacentFaces ( NXOpen.Face  seedFace)

Creates selection intent rule: NXOpen.FaceAndAdjacentFacesRule

Created in NX7.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFace to create this rule.
Returns
unsafe NXOpen.FaceBodyRule NXOpen.ScRuleFactory.CreateRuleFaceBody ( NXOpen.Body  body)

Creates selection intent rule: NXOpen.FaceBodyRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
bodyBody faces are used to create this rule.
Returns
unsafe NXOpen.FaceBossPocketFacesRule NXOpen.ScRuleFactory.CreateRuleFaceBossPocket ( NXOpen.Face  seed)

Creates selection intent rule: NXOpen.FaceBossPocketFacesRule

Created in NX5.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
Returns
unsafe NXOpen.FaceBossPocketFacesRule NXOpen.ScRuleFactory.CreateRuleFaceBossPocket ( NXOpen.Face  seed,
bool  includeBoundaryBlends 
)

Creates selection intent rule: NXOpen.FaceBossPocketFacesRule

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
includeBoundaryBlendsreturn blends at the feature periphery
Returns
unsafe NXOpen.FaceConnectedBlendRule NXOpen.ScRuleFactory.CreateRuleFaceConnectedBlend ( NXOpen.Face  seedFace)

Creates selection intent rule: NXOpen.FaceConnectedBlendRule

Created in NX5.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFaces to create this rule.
Returns
unsafe NXOpen.FaceConnectedBlendRule NXOpen.ScRuleFactory.CreateRuleFaceConnectedBlend ( NXOpen.Face  seedFace,
bool  includeBlendLike,
NXOpen.Features.Feature  feature 
)

Creates selection intent rule: NXOpen.FaceConnectedBlendRule

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFaces to create this rule.
includeBlendLikeTrue: will find blend and blend-like faces
featureFeature to create this rule
Returns
unsafe NXOpen.FaceConnectedBlendRule NXOpen.ScRuleFactory.CreateRuleFaceConnectedBlend ( NXOpen.Face  seedFace,
bool  includeBlendLike,
bool  includeUnlabeledBlend,
NXOpen.Features.Feature  feature 
)

Creates selection intent rule: NXOpen.FaceConnectedBlendRule

Created in NX10.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFaces to create this rule.
includeBlendLikeTrue: will find blend and blend-like faces
includeUnlabeledBlendTrue: will find unlabeled blend faces
featureFeature to create this rule
Returns
unsafe NXOpen.FaceDumbRule NXOpen.ScRuleFactory.CreateRuleFaceDatum ( NXOpen.DatumPlane[]  faces)

Creates selection intent rule: NXOpen.FaceDumbRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesFeatures whose tangent curves are used to create this rule.
Returns
unsafe NXOpen.FaceDumbRule NXOpen.ScRuleFactory.CreateRuleFaceDumb ( NXOpen.Face[]  faces)

Creates selection intent rule: NXOpen.FaceDumbRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesFeatures whose tangent curves are used to create this rule.
Returns
unsafe NXOpen.FaceFeatureRule NXOpen.ScRuleFactory.CreateRuleFaceFeature ( NXOpen.Features.Feature[]  features)

Creates selection intent rule: NXOpen.FaceFeatureRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose faces are used to create this rule.
Returns
unsafe NXOpen.FaceFeatureRule NXOpen.ScRuleFactory.CreateRuleFaceFeature ( NXOpen.Features.Feature[]  features,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: NXOpen.FaceFeatureRule for the given feature from a part occurrence.

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose faces are used to create this rule.
partOccurrencePart occurrence of seed face that is used to create this rule.
Returns
unsafe NXOpen.FaceMergedRibFacesRule NXOpen.ScRuleFactory.CreateRuleFaceMergedRib ( NXOpen.Face  seed,
NXOpen.Edge  edge 
)

Creates selection intent rule: NXOpen.FaceMergedRibFacesRule

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
edgeEdge that disambiguates the result - can be NULL
Returns
unsafe NXOpen.FaceMergedRibFacesRule NXOpen.ScRuleFactory.CreateRuleFaceMergedRib ( NXOpen.Face  seed,
NXOpen.Edge  edge,
bool  includeBoundaryBlends 
)

Creates selection intent rule: NXOpen.FaceMergedRibFacesRule

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
edgeEdge that disambiguates the result - can be NULL
includeBoundaryBlendsreturn blends at the feature periphery
Returns
unsafe NXOpen.FaceMergedRibFacesRule NXOpen.ScRuleFactory.CreateRuleFaceMergedRib ( NXOpen.Face  seed,
bool  includeBoundaryBlends,
NXOpen.Point3d  seedPoint 
)

Creates selection intent rule: NXOpen.FaceMergedRibFacesRule

Created in NX8.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
includeBoundaryBlendsreturn blends at the feature periphery
seedPointSeed pick point point.
Returns
unsafe NXOpen.FaceRegionRule NXOpen.ScRuleFactory.CreateRuleFaceRegion ( NXOpen.Face  seedFace,
NXOpen.Face[]  boundaryFaces 
)

Creates selection intent rule: NXOpen.FaceRegionRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceBody faces are used to create this rule.
boundaryFacesFeatures whose tangent faces are used to create this rule.
Returns
unsafe NXOpen.FaceRegionBoundaryRule NXOpen.ScRuleFactory.CreateRuleFaceRegionBoundary ( NXOpen.Face  seedObj,
NXOpen.ICurve[]  curves,
NXOpen.Point3d  seedPoint,
double  distanceTolerance 
)

Creates selection intent rule: NXOpen.FaceRegionBoundaryRule

Created in NX7.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedObjSeed face
curvesCurve input for this rule.
seedPointSeed point.
distanceToleranceDistance tolerance.
Returns
unsafe NXOpen.FaceRegionRule NXOpen.ScRuleFactory.CreateRuleFaceRegionWithSmartBoundaries ( NXOpen.Face  seedFace,
NXOpen.SelectionIntentRule[]  boundaryFaceRules 
)

Creates selection intent rule: NXOpen.FaceRegionRule where the boundaries also update with original intent

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceSeed face to create this rule.
boundaryFaceRulesRules defining the boundaries.
Returns
unsafe NXOpen.FaceRibFacesRule NXOpen.ScRuleFactory.CreateRuleFaceRib ( NXOpen.Face  seed)

Creates selection intent rule: NXOpen.FaceRibFacesRule

Created in NX5.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
Returns
unsafe NXOpen.FaceRibFacesRule NXOpen.ScRuleFactory.CreateRuleFaceRib ( NXOpen.Face  seed,
bool  includeBoundaryBlends,
bool  traverseInteriorLoops 
)

Creates selection intent rule: NXOpen.FaceRibFacesRule

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
includeBoundaryBlendsreturn blends at the feature periphery
traverseInteriorLoopsprocess interior loop
Returns
unsafe NXOpen.FaceSlotFacesRule NXOpen.ScRuleFactory.CreateRuleFaceSlot ( NXOpen.Face  seed)

Creates selection intent rule: NXOpen.FaceSlotFacesRule

Created in NX5.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
Returns
unsafe NXOpen.FaceSlotFacesRule NXOpen.ScRuleFactory.CreateRuleFaceSlot ( NXOpen.Face  seed,
bool  includeBoundaryBlends,
bool  traverseInteriorLoops 
)

Creates selection intent rule: NXOpen.FaceSlotFacesRule

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedSeed face used to create this rule.
includeBoundaryBlendsreturn blends at the feature periphery
traverseInteriorLoopsprocess interior loop
Returns
unsafe NXOpen.FaceTangentRule NXOpen.ScRuleFactory.CreateRuleFaceTangent ( NXOpen.Face  seedFace,
NXOpen.Face[]  boundaryFaces 
)

Creates selection intent rule: NXOpen.FaceTangentRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFeatures whose tangent curves are used to create this rule.
boundaryFacesFeatures whose tangent curves are used to create this rule.
Returns
unsafe NXOpen.FaceTangentRule NXOpen.ScRuleFactory.CreateRuleFaceTangent ( NXOpen.Face  seedFace,
NXOpen.Face[]  boundaryFaces,
double  angleTolerance 
)

Creates selection intent rule: NXOpen.FaceTangentRule with tangent tolerance

Created in NX8.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceFeatures whose tangent curves are used to create this rule.
boundaryFacesFeatures whose tangent curves are used to create this rule.
angleToleranceTangent angle tolerance.
Returns
unsafe NXOpen.FaceTangentRule NXOpen.ScRuleFactory.CreateRuleFaceTangentWithSmartBoundaries ( NXOpen.Face  seedFace,
NXOpen.SelectionIntentRule[]  boundaryFaceRules 
)

Creates selection intent rule: NXOpen.FaceTangentRule where the boundaries also update with original intent

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedFaceSeed face to create this rule.
boundaryFaceRulesRules defining the boundaries.
Returns
unsafe NXOpen.FeatureIntersectionEdgesRule NXOpen.ScRuleFactory.CreateRuleFeatureIntersectionEdges ( NXOpen.NXObject[]  features)

Creates selection intent rule: NXOpen.FeatureIntersectionEdgesRule

Created in NX9.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose intersection edges are used to create this rule.
Returns
unsafe NXOpen.FeatureIntersectionEdgesRule NXOpen.ScRuleFactory.CreateRuleFeatureIntersectionEdges ( NXOpen.NXObject[]  features,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: NXOpen.FeatureIntersectionEdgesRule

Created in NX11.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose intersection edges are used to create this rule.
partOccurrencePart occurrence of the seed edge that is used to create this rule.
Returns
unsafe NXOpen.FeaturePointsRule NXOpen.ScRuleFactory.CreateRuleFeaturePoints ( NXOpen.Features.Feature[]  features,
NXOpen.DisplayableObject  partOccurrence 
)

Creates selection intent rule: NXOpen.FeaturePointsRule for the given feature from a part occurrence.

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose points are used to create this rule.
partOccurrencePart occurrence of seed point that is used to create this rule.
Returns
unsafe NXOpen.FeaturePointsRule NXOpen.ScRuleFactory.CreateRuleFeaturePoints ( NXOpen.Features.Feature[]  features)

Creates selection intent rule: NXOpen.FeaturePointsRule

Created in NX5.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose points are used to create this rule.
Returns
unsafe NXOpen.FollowFilletRule NXOpen.ScRuleFactory.CreateRuleFollowFillet ( NXOpen.Features.Feature[]  features,
NXOpen.Body[]  bodies,
NXOpen.ICurve[]  basicCurves,
NXOpen.ICurve  seedWireframe,
NXOpen.ICurve  endWireframe,
bool  isFromSeedStart,
NXOpen.Point3d  seedPoint,
double  gapTolerance,
double  angleTolerance,
NXOpen.FollowFilletRuleType  method 
)

Creates selection intent rule: NXOpen.FollowFilletRule

Created in NX4.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose curves are used to create this rule.
bodiesBodies whose edges are used to create this rule.
basicCurvesNon-associative basic curves that are used to create this rule.
seedWireframeSeed wireframe
endWireframeEnd wireframe. It can be null (Nothing)
isFromSeedStartTrue: the chain starts from the start point of the seed wireframe
seedPointSeed point.
gapToleranceGap tolerance.
angleToleranceAngle tolerance.
methodSelection Intent method.
Returns
unsafe NXOpen.FollowFilletRule NXOpen.ScRuleFactory.CreateRuleFollowFillet ( NXOpen.Features.Feature[]  features,
NXOpen.Body[]  bodies,
NXOpen.ICurve[]  basicCurves,
NXOpen.ICurve  seedWireframe,
NXOpen.Point3d  seedPoint,
double  gapTolerance,
double  angleTolerance,
NXOpen.FollowFilletRuleType  method 
)

Creates selection intent rule: NXOpen.FollowFilletRule with stop at intersection option ON

Created in NX7.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
featuresFeatures whose curves are used to create this rule.
bodiesBodies whose edges are used to create this rule.
basicCurvesNon-associative basic curves that are used to create this rule.
seedWireframeSeed wireframe
seedPointSeed point.
gapToleranceGap tolerance.
angleToleranceAngle tolerance.
methodSelection Intent method.
Returns
unsafe NXOpen.OuterEdgesOfFacesRule NXOpen.ScRuleFactory.CreateRuleOuterEdgesOfFaces ( NXOpen.NXObject[]  facesOfFeatures)

Creates selection intent rule: NXOpen.OuterEdgesOfFacesRule

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesOfFeaturesFaces whose boundary edges are used to create this rule.
Returns
unsafe NXOpen.RegionBoundaryRule NXOpen.ScRuleFactory.CreateRuleRegionBoundary ( NXOpen.DisplayableObject  seedObj,
NXOpen.ICurve[]  curves,
NXOpen.Point3d  seedPoint,
double  distanceTolerance 
)

Creates selection intent rule: NXOpen.RegionBoundaryRule

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
seedObjface or sketch
curvesCurve input for this rule.
seedPointSeed point.
distanceToleranceDistance tolerance.
Returns
unsafe NXOpen.RibTopFaceEdgesRule NXOpen.ScRuleFactory.CreateRuleRibTopFaceEdges ( NXOpen.NXObject[]  facesOfFeatures)

Creates selection intent rule: NXOpen.RibTopFaceEdgesRule

Created in NX8.5.0

License requirements: gateway ("UG GATEWAY")

Parameters
facesOfFeaturesFaces whose boundary edges are used to create this rule.
Returns

Property Documentation

Tag NXOpen.ScRuleFactory.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.